% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit_and_reporting.R
\name{loadings}
\alias{loadings}
\title{loadings
Generic loadings function to extract factor loadings from exploratory or confirmatory
factor analyses.}
\usage{
loadings(x, ...)
}
\arguments{
\item{x}{an object from which to get loadings}

\item{...}{additional parameters}
}
\value{
- matrix of loadings
}
\description{
See \code{\link[umx]{loadings.MxModel}} to access the loadings of OpenMx EFA models.
}
\details{
Base \code{\link[stats]{loadings}} handles \code{\link{factanal}} objects.
}
\references{
- \url{https://tbates.github.io}, \url{https://github.com/tbates/umx}
}
\seealso{
Other Reporting functions: \code{\link{RMSEA.MxModel}},
  \code{\link{RMSEA.summary.mxmodel}}, \code{\link{RMSEA}},
  \code{\link{extractAIC.MxModel}},
  \code{\link{residuals.MxModel}},
  \code{\link{umxCI_boot}}, \code{\link{umxCI}},
  \code{\link{umxCompare}}, \code{\link{umxConfint}},
  \code{\link{umxExpCov}}, \code{\link{umxExpMeans}},
  \code{\link{umxFitIndices}}, \code{\link{umxPlotACEv}},
  \code{\link{umxSummary.MxModel}},
  \code{\link{umxSummaryACEv}},
  \code{\link{umxSummaryACE}},
  \code{\link{umxSummarySexLim}},
  \code{\link{umxSummarySimplex}},
  \code{\link{umx_drop_ok}},
  \code{\link{umx_standardize_RAM}}
}
\concept{Reporting functions}
