% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit_and_reporting.R
\name{umx_fun_mean_sd}
\alias{umx_fun_mean_sd}
\title{umx_fun}
\usage{
umx_fun_mean_sd(x, na.rm = TRUE, digits = 2)
}
\arguments{
\item{x}{input}

\item{na.rm}{How to handle missing (default = TRUE = remove)}

\item{digits}{Rounding (default = 2)}
}
\value{
- function result
}
\description{
Miscellaneous functions that are handy in summary and other tasks where you might otherwise have
to craft a custom nameless functions. e.g.
}
\details{
\itemize{
  \item \code{\link{umx_fun_mean_sd}}: returns "mean (SD)" of x.
  \item Second item
}
note: if a factor is given, then the mode is returned instead of the mean and SD.
}
\examples{
umxAPA(mtcars[,1:3]) # uses umx_fun_mean_sd
}
\references{
- \url{https://github.com/tbates/umx}, \url{https://tbates.github.io}
}
\seealso{
Other Miscellaneous Stats Helpers: \code{\link{reliability}},
  \code{\link{umxCov2cor}}, \code{\link{umxHetCor}},
  \code{\link{umx_apply}}, \code{\link{umx_cor}},
  \code{\link{umx_means}}, \code{\link{umx_r_test}},
  \code{\link{umx_round}}, \code{\link{umx_var}},
  \code{\link{umx}}
}
\concept{Miscellaneous Stats Helpers}
