% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_make}
\alias{umx_make}
\title{"make" the umx package using devtools: release to CRAN etc.}
\usage{
umx_make(what = c("install", "examples", "check", "win", "rhub",
  "release", "spell"), pkg = "~/bin/umx", check = TRUE, run = FALSE,
  spelling = "en_US")
}
\arguments{
\item{what}{whether to "install", "release" to CRAN, check on "win", "check", "rhub", "spell" check, or check "examples"))}

\item{pkg}{the local path to your package. Defaults to my path to umx.}

\item{check}{Whether to run check on the package before release (default = TRUE).}

\item{run}{= If what is "examples", whether to also run examples marked don't run. (default FALSE)}

\item{spelling}{Whether to check spelling before release (default = "en_US": set NULL to not check).}
}
\value{
-
}
\description{
Easily  run devtools "install", "release", "win", "examples" etc.
}
\examples{
\dontrun{
umx_make(what = "install"))  # Just installs the package
umx_make(what = "examples")) # Run the examples
umx_make(what = "check"))    # Run R CMD check
umx_make(what = "win"))      # Check on win-builder
umx_make(what = "release"))  # Release to CRAN
}
}
\references{
- \url{https://github.com/tbates/umx}, \url{https://tbates.github.io}
}
\seealso{
Other Miscellaneous Utility Functions: \code{\link{install.OpenMx}},
  \code{\link{qm}}, \code{\link{umxBrownie}},
  \code{\link{umxFactor}}, \code{\link{umxVersion}},
  \code{\link{umx_array_shift}},
  \code{\link{umx_cell_is_on}},
  \code{\link{umx_cont_2_quantiles}},
  \code{\link{umx_find_object}},
  \code{\link{umx_graphviz_rank}},
  \code{\link{umx_mat2dot}}, \code{\link{umx_msg}},
  \code{\link{umx_open_CRAN_page}}, \code{\link{umx_pad}},
  \code{\link{umx_pb_note}}, \code{\link{umx_print}},
  \code{\link{umx_scale}}, \code{\link{umx_score_scale}},
  \code{\link{umx}}
}
\concept{Miscellaneous Utility Functions}
