% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/umx_build_polychoricMatrix3.R
\name{umx_polychoric}
\alias{umx_polychoric}
\title{FIML-based polychoric, polyserial, and Pearson correlations}
\usage{
umx_polychoric(data, useDeviations = TRUE)
}
\arguments{
\item{data}{Dataframe}

\item{useDeviations}{Whether to code the mode using deviation thresholds (default = TRUE)}
}
\value{
- matrix of correlations
}
\description{
Compute polychoric/polyserial/Pearson correlations with FIML in OpenMx
}
\examples{
# FIXME: umx_polychoric Needs examples
}
\references{
- \url{https://doi.org/10.3389/fpsyg.2016.00528}
}
\seealso{
Other Data Functions: \code{\link{umxCovData}},
  \code{\link{umxHetCor}},
  \code{\link{umxPadAndPruneForDefVars}},
  \code{\link{umx_as_numeric}}, \code{\link{umx_cov2raw}},
  \code{\link{umx_lower2full}},
  \code{\link{umx_make_MR_data}},
  \code{\link{umx_make_TwinData}},
  \code{\link{umx_make_bin_cont_pair_data}},
  \code{\link{umx_make_fake_data}},
  \code{\link{umx_polypairwise}},
  \code{\link{umx_polytriowise}},
  \code{\link{umx_read_lower}}, \code{\link{umx_rename}},
  \code{\link{umx_reorder}}, \code{\link{umx_stack}},
  \code{\link{umx_swap_a_block}}, \code{\link{umx}}
}
\concept{Data Functions}
