% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_trim}
\alias{umx_trim}
\title{Trim whitespace surrounding a string.}
\usage{
umx_trim(string, removeThis = NULL)
}
\arguments{
\item{string}{to trim}

\item{removeThis}{if not NULL then this string is removed wherever found in 'string'}
}
\value{
- string
}
\description{
Returns string w/o leading or trailing whitespace
}
\examples{
umx_trim(" dog") # "dog"
umx_trim("dog ") # "dog"
umx_trim("\\t dog \\n") # "dog"
umx_trim("xlsx dog.xlsx", "\\\\.xlsx$") # "dog"
}
\references{
- \url{https://tbates.github.io}, \url{https://github.com/tbates/umx}
}
\seealso{
Other String Functions: \code{\link{umx_explode_twin_names}},
  \code{\link{umx_explode}}, \code{\link{umx_grep}},
  \code{\link{umx_names}}, \code{\link{umx_object_as_str}},
  \code{\link{umx_paste_names}}, \code{\link{umx_rot}},
  \code{\link{umx_write_to_clipboard}}, \code{\link{umx}}
}
\concept{String Functions}
