% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/xmu_make_top_twin_models.R
\name{xmu_assemble_twin_supermodel}
\alias{xmu_assemble_twin_supermodel}
\title{Assemble top, MZ and DZ into a supermodel}
\usage{
xmu_assemble_twin_supermodel(name, MZ, DZ, top, bVector, mzWeightMatrix,
  dzWeightMatrix)
}
\arguments{
\item{name}{the name of the supermodel}

\item{MZ}{the MZ model}

\item{DZ}{the DZ model}

\item{top}{the top model}

\item{bVector}{whether this is a weighted analysis}

\item{mzWeightMatrix}{if bVector, then use this as the MZ weights matrix}

\item{dzWeightMatrix}{if bVector, then use this as the DZ weights matrix}
}
\value{
- \code{\link{mxModel}}
}
\description{
Assemble top, MZ and DZ into a supermodel: Also copes with weighted analyses.
}
\seealso{
Other xmu internal not for end user: \code{\link{umxModel}},
  \code{\link{umx}}, \code{\link{xmuHasSquareBrackets}},
  \code{\link{xmuLabel_MATRIX_Model}},
  \code{\link{xmuLabel_Matrix}},
  \code{\link{xmuLabel_RAM_Model}}, \code{\link{xmuMI}},
  \code{\link{xmuMakeDeviationThresholdsMatrices}},
  \code{\link{xmuMakeOneHeadedPathsFromPathList}},
  \code{\link{xmuMakeTwoHeadedPathsFromPathList}},
  \code{\link{xmuMaxLevels}}, \code{\link{xmuMinLevels}},
  \code{\link{xmuPropagateLabels}},
  \code{\link{xmu_check_levels_identical}},
  \code{\link{xmu_dot_make_paths}},
  \code{\link{xmu_dot_make_residuals}},
  \code{\link{xmu_make_mxData}},
  \code{\link{xmu_make_top_twin_models}},
  \code{\link{xmu_safe_run_summary}},
  \code{\link{xmu_set_sep_from_suffix}},
  \code{\link{xmu_simplex_corner}},
  \code{\link{xmu_start_value_list}},
  \code{\link{xmu_starts}}
}
\concept{xmu internal not for end user}
